Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractParentNode.ElementsByTagNameNS

    java.lang.Object
      org.apache.batik.dom.AbstractParentNode.ElementsByTagNameNS

All Implemented Interfaces:
  NodeList

Enclosing class:
  AbstractParentNode

    protected class AbstractParentNode.ElementsByTagNameNS

extends Object
implements NodeList

To manage a list of nodes.

Field Summary
`protected String` | `localName` The local name identifier.
`protected String` | `namespaceURI` The namespace URI identifier.
`protected int` | `size` The number of nodes.
`protected Node[]` | `table` The table.

Constructor Summary
`AbstractParentNode.ElementsByTagNameNS(String ns, String ln)` Creates a new ElementsByTagNameNS object.

Method Summary
`protected void` | `append(Node n)` Appends a node to the list.
`int` | `getLength()` DOM: Implements `NodeList.getLength()`.
`protected void` | `initialize()` Initializes the list.
`void` | `invalidate()` Invalidates the list.
`Node` | `item(int index)` DOM: Implements `NodeList.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Node[] table

  The table.

### size

    protected int size

  The number of nodes.

### namespaceURI

    protected String namespaceURI

  The namespace URI identifier.

### localName

    protected String localName

  The local name identifier.

Constructor Detail

### AbstractParentNode.ElementsByTagNameNS

    public AbstractParentNode.ElementsByTagNameNS(String ns,
                                                  String ln)

  Creates a new ElementsByTagNameNS object.

Method Detail

### item

    public Node item(int index)

  DOM: Implements `NodeList.item(int)`.

  Specified by:
    `item` in interface `NodeList`

### getLength

    public int getLength()

  DOM: Implements `NodeList.getLength()`.

  Specified by:
    `getLength` in interface `NodeList`
  Returns:
    `size`.

### invalidate

    public void invalidate()

  Invalidates the list.

### append

    protected void append(Node n)

  Appends a node to the list.

### initialize

    protected void initialize()

  Initializes the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.